{% load wagtailcore_tags %}
{% load wagtailimages_tags %}
{% load static %}

{% block extra_css %}
    <link rel="stylesheet" type="text/css" href="{% static 'css/faq_section.css' %}" />
{% endblock %}

{% block content %}
{% for faq in faq_section %}
{% image faq.background_image original as img%}
<div class="faq-container faq__bg-image bg-no-repeat  bg-[100%] md:bg-cover mx-8 my-6 rounded-[60px] bg-auto" style="background-image: url('{{ img.url }}')">
    <div class="faq-card bg-purpleAccent rounded-b-[60px] md:rounded-[0.5rem]">
        <h1 class="faq-card__title text-white">{{ faq.title }}</h1>
        <p class="faq-card__description text-white">{{ faq.description }}</p>
        <div class="faq-card__button-container">
            <a href="{{ faq.faq_url }}" type="button" class="focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm px-4 py-3 text-center bg-lightYellow hover:bg-darkYellow text-purpleAccent"><i class="fa-solid fa-book-open mr-2"></i>Perguntas frequentes</a>
            <a href="{{ faq.blog_url }}" type="button" class="focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm px-4 py-3 text-center bg-lightYellow hover:bg-darkYellow text-purpleAccent"><i class="fa-solid fa-building-columns mr-2"></i>Blog</a>
        </div>
    </div>
</div>
{% endfor %}
{% endblock %}
